# SpinPlots: Python NMR plots made easy

[![DOI](https://zenodo.org/badge/782205685.svg)](https://doi.org/10.5281/zenodo.14041925)

SpinPlots is a Python package designed to streamline the process of loading and plotting NMR data. Built on top of the [NMRglue](https://www.nmrglue.com/), SpinPlots simplifies the plotting of NMR spectra. While NMRglue is a powerful tool for reading, processing, and analyzing NMR data, plotting with it can be cumbersome and code-intensive. SpinPlots addresses this by offering an intuitive interface for generating publication-ready plots with minimal effort.

## Current features 🤌
- **One line of code == NMR spectrum**: Generate 1D and 2D Bruker NMR plots with a single function call.
- **Automatic labeling**: Axis are automatically labeled with the corresponding nuclei and units.
- **Customizable**: Fine-tune the look of your plots by loading them with Spinplots.

## Documentation 📖

Complete documentation for SpinPlots, including installation instructions and usage guides can be found [here](https://nuts-org.github.io/spinplots/).

## Future features 🔜
- Extend support to non-Bruker spectra
- Open to suggestions
